/* Header del programma
contiene tutte le intestazioni e le variabili globali*/
#ifndef _HEADER_H_    //elementi necessari per ogni header
#define	_HEADER_H_

#include <stdio.h>   //librerie che mi servono
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <signal.h>
#include <time.h>
#include <math.h>
#include <fcntl.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <sys/termios.h>
#include <sys/stat.h>
#include <sys/mman.h>

#define DEBUG 0     //costante che mi serve per verificare la corretta esecuzione del programma

typedef struct _complex
{
double real;
double imm;
double modulo;
double fase;
} COMPLESSO;

typedef struct _vector
{
double x;
double y;
double z;
double modulo;
double cosx;
double cosy;
double cosz;
} VETTORE;



//funzioni per SysV shared memory
#include "macros.h"
void * ShmCreate(key_t ipc_key, int shm_size, int perm, int fill);
void * ShmFind(key_t ipc_key, int shm_size);
int ShmRemove(key_t ipc_key, void * shm_ptr);



#endif	/* Not _HEADER_H_ */
